/*
 * plugin.c: A plugin for the Video Disk Recorder
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */

#include <vdr/plugin.h>
#include "menu.h"

static const char *VERSION        = "0.0.1";
static const char *DESCRIPTION    = "Enter description for 'dvbchain' plugin";
static const char *MAINMENUENTRY  = "DvbChain";

class cPluginDvbchain : public cPlugin {
public:
    virtual const char *Version(void) { return VERSION; }
    virtual const char *Description(void) { return DESCRIPTION; }
    virtual const char *MainMenuEntry(void) { return MAINMENUENTRY; }
    virtual cOsdObject *MainMenuAction(void);
    virtual cMenuSetupPage *SetupMenu(void);
    virtual bool SetupParse(const char *Name, const char *Value);
};

cOsdObject *cPluginDvbchain::MainMenuAction(void)
{
    return new cDvbChainMenu();
}

cMenuSetupPage *cPluginDvbchain::SetupMenu(void)
{
    return NULL;
}

bool cPluginDvbchain::SetupParse(const char *Name, const char *Value)
{
    return false;
}

VDRPLUGINCREATOR(cPluginDvbchain); // Don't touch this!
