#include "dvbchain.h"
#include "menu.h"

cDvbChainMenu::cDvbChainMenu()
    : cOsdMenu("DvbChain")
{
    SetHasHotkeys();
    Add(new cOsdItem(hk("Record TS")));
    Add(new cOsdItem(hk("Play TS")));
    //if (cRecorderChain::IsRecording()) Add(new cOsdItem("Stop Recording", osStopRecord));
}

eOSState cDvbChainMenu::ProcessKey(eKeys Key)
{
    eOSState state = cOsdMenu::ProcessKey(Key);
    switch (state) {
    //case osStopRecord: cRecorderChain::StopRecording(); return osEnd;
    case osUnknown:
        switch (Key) {
        case kOk:
            switch (Current()) {
            //case 0: cRecorderChain::StartRecording(); return osEnd;
            case 1: cControl::Launch(new cPlayerChain("/media/video0/TS")); return osEnd;
            }
        case kBack: return osEnd;
        default: break;
        }
    default: break;
    }

    return osContinue;
}
